# -*- coding: utf-8 -*-
from setuphelpers import *
import json

uninstallkey = []

def install():
    print('installing smp-pyzo')
    versionpaquet = control['version'].split('-',1)[0]

    def verspyzo(key):
        return key['name'].replace('pyzo version ','')

    install_exe_if_needed("pyzo-%s-win32.exe" % versionpaquet,'/VERYSILENT /SUPPRESSMSGBOXES /NORESTART',key='pyzo_is1',min_version=versionpaquet,get_version=verspyzo)
    remove_desktop_shortcut('pyzo')



def update_package():

    proxies = {}
    if isfile(makepath(application_data(),'waptconsole','waptconsole.ini')):
        proxywapt = inifile_readstring(makepath(user_local_appdata(),'waptconsole','waptconsole.ini'),'global','http_proxy')
        if proxywapt :
            proxies = {'http':proxywapt,'https':proxywapt}

    urlfile = None
    for i in json.loads(wgets('https://api.github.com/repos/pyzo/pyzo/releases',proxies=proxies)):
        for a in i['assets'] :
            if 'win32.exe' in a['name']:
                if not urlfile:
                    urlfile = a['browser_download_url']
                    binaryfile = urlfile.split('/')[-1]



    for exe in glob.glob('*.exe'):
        if exe != binaryfile:
            remove_file(exe)

    if not isfile(binaryfile):
        wget(urlfile,binaryfile,proxies=proxies)

    os.chdir(os.path.dirname(__file__))
    from waptpackage import PackageEntry
    pe = PackageEntry()
    pe.load_control_from_wapt(os.getcwd())

    lastversion = binaryfile.split('-')[1]
    print('Last Version %s' % lastversion)
    pe.version = lastversion + '-0'
    pe.save_control_to_wapt(os.getcwd())


if __name__ == '__main__':
    update_package()










